> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Landlord approval answer

> Approve or decline a quote, or ask the agency a question, by signed link



## OpenAPI

````yaml /openapi.json post /p/:tenant/landlord/approval/respond
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /p/:tenant/landlord/approval/respond:
    post:
      tags:
        - maintenance-pro-public
      summary: Landlord approval answer
      description: Approve or decline a quote, or ask the agency a question, by signed link
      operationId: maintenance-pro-public.landlordApprovalAnswer
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LandlordApprovalAnswerBody'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LandlordApprovalView'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable | LandlordApprovalInvalid
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/LandlordApprovalInvalidEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
        '404':
          description: >-
            TenantNotFound | ModuleRequestNotFound | PublicResourceNotFound |
            LandlordApprovalLinkInvalid
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/PublicResourceNotFoundEncoded'
                  - $ref: '#/components/schemas/LandlordApprovalLinkInvalidEncoded'
        '409':
          description: WebhookDuplicate | RegistrationConflict | LandlordApprovalStale
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/LandlordApprovalStaleEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security: []
components:
  schemas:
    LandlordApprovalAnswerBody:
      type: object
      properties:
        token:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 1
        quoteId:
          type: string
          minLength: 1
        action:
          type: string
          enum:
            - approve
            - decline
            - question
        note:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - token
        - requestId
        - quoteId
        - action
      additionalProperties: false
    LandlordApprovalView:
      type: object
      properties:
        agency:
          type: object
          properties:
            name:
              type: string
            phone:
              anyOf:
                - type: string
                - type: 'null'
            timeZone:
              type: string
          required:
            - name
            - phone
            - timeZone
          additionalProperties: false
        landlordName:
          type: string
        approval:
          type: object
          properties:
            status:
              type: string
              enum:
                - awaiting
                - approved
                - declined
                - withdrawn
            statusNote:
              anyOf:
                - type: string
                - type: 'null'
            quoteId:
              type: string
            quote:
              anyOf:
                - type: object
                  properties:
                    amountMinor:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    currency:
                      type: string
                  required:
                    - amountMinor
                    - currency
                  additionalProperties: false
                - type: 'null'
            contractor:
              anyOf:
                - type: object
                  properties:
                    name:
                      type: string
                    trade:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - name
                    - trade
                  additionalProperties: false
                - type: 'null'
            decidedAt:
              anyOf:
                - type: string
                - type: 'null'
            decisionNote:
              anyOf:
                - type: string
                - type: 'null'
            repair:
              type: object
              properties:
                reference:
                  type: string
                property:
                  type: string
                fault:
                  type: string
                description:
                  type: string
                urgency:
                  type: string
                status:
                  type: string
                reportedOn:
                  type: string
                scheduledFor:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - reference
                - property
                - fault
                - description
                - urgency
                - status
                - reportedOn
                - scheduledFor
              additionalProperties: false
            photos:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  mediaType:
                    type: string
                required:
                  - id
                  - name
                  - mediaType
                additionalProperties: false
            messages:
              type: array
              items:
                type: object
                properties:
                  kind:
                    type: string
                    enum:
                      - approved
                      - declined
                      - question
                  note:
                    anyOf:
                      - type: string
                      - type: 'null'
                  at:
                    type: string
                required:
                  - kind
                  - note
                  - at
                additionalProperties: false
          required:
            - status
            - statusNote
            - quoteId
            - quote
            - contractor
            - decidedAt
            - decisionNote
            - repair
            - photos
            - messages
          additionalProperties: false
        openRepairs:
          type: array
          items:
            type: object
            properties:
              reference:
                type: string
              property:
                type: string
              fault:
                type: string
              status:
                type: string
              reportedOn:
                type: string
              scheduledFor:
                anyOf:
                  - type: string
                  - type: 'null'
              awaitingApproval:
                anyOf:
                  - type: object
                    properties:
                      amountMinor:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                      currency:
                        type: string
                    required:
                      - amountMinor
                      - currency
                    additionalProperties: false
                  - type: 'null'
            required:
              - reference
              - property
              - fault
              - status
              - reportedOn
              - scheduledFor
              - awaitingApproval
            additionalProperties: false
      required:
        - agency
        - landlordName
        - approval
        - openRepairs
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    LandlordApprovalInvalidEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - LandlordApprovalInvalid
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    PublicResourceNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PublicResourceNotFound
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    LandlordApprovalLinkInvalidEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - LandlordApprovalLinkInvalid
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    LandlordApprovalStaleEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - LandlordApprovalStale
        reason:
          type: string
        code:
          type: string
          enum:
            - already_decided
            - quote_changed
            - request_reused
      required:
        - _tag
        - reason
        - code
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.